All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Interface CalculatedItemMetadataInterface

All Known Subinterfaces:
  CalculatedItemInterface, CalculatedItemListInterface, CalculatedItemListV2Interface, CalculatedItemV2Interface, CalculatedObjectFactoryInterface

All Known Implementing Classes:
  BaseCalculatedItemAdapter, BaseCalculatedItemListAdapter, BaseCalculatedObjectFactory, BusinessModelCalculatedObjectFactory, BusinessModelToCalculatedItemAdapter, BusinessModelToCalculatedItemListAdapter, BusinessQueryCalculatedObjectFactory, BusinessQueryToCalculatedItemAdapter, BusinessQueryToCalculatedItemListAdapter, DataSelectionCalculatedObjectFactory, DataSelectionToCalculatedItemAdapter, DataSelectionToCalculatedItemListAdapter, InformationMapCalculatedObjectFactory, InformationMapToCalculatedItemAdapter, InformationMapToCalculatedItemListAdapter

    public interface CalculatedItemMetadataInterface

Description: Copyright: Copyright (c) 2002 Company: SAS

Method Summary
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getBusinessDataSourceTree()` Get the DataSource tree model from the Business (Data Item) view of the business model
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getDataSourceTree()` Get the Default DataSource tree model for this business model
`com.sas.expressions.visuals.FunctionTreeInterface` | `getFunctionListTree()` Get the Category Tree with Function Lists model
`boolean` | `getLevelHasMembers()` Determines if the levels of data contained by this adapter have members or not.
`java.util.Map` | `getLevelNameMap(boolean includeHierarchyName)` Gets the level names in a map with the Level Display names as the keys and the insertable text as the values.
`java.lang.String[]` | `getLevelNames(boolean includeHierarchyName)` Gets the level names.
`int` | `getMaxOutputObservations()` Returns the current maximum number of output observations returned when gathering a list of possible values for a data item or physical item in the data source tree.
`java.util.Map` | `getMeasureNameMap()` Gets the measure names and each insertable value.
`java.lang.String[]` | `getMeasureNames()` Gets the measure names.
`java.lang.String[]` | `getMemberNames(java.lang.String levelName)` Get the member names for a given level.
`com.sas.expressions.visuals.OperationListInterface` | `getOperationList()` Get the Operations List model
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getPhysicalDataSourceTree()` Get the DataSource tree model from the Physical view of the business model
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getPromptDataSourceTree()` Get the DataSource tree model containing the prompts of the business model
`void` | `setMaxOutputObservations(int max)` Sets the current maximum number of output observations to be returned when gathering a list of possible values for a data item or physical item in the data source tree.

Method Detail

### getLevelNameMap

    java.util.Map getLevelNameMap(boolean includeHierarchyName)

  Gets the level names in a map with the Level Display names as the keys and the insertable text as the values.

  Parameters:
    `includeHierarchyName` - set to true if the hierarchy name for a given level is to be returned (only used if getLevelHasMembers() is true)
  Returns:
    a map of String containing the names of the levels, and optionally, the hierarchy name for each level to the insertable text
  See Also:
    `getLevelHasMembers()`

### getMeasureNameMap

    java.util.Map getMeasureNameMap()

  Gets the measure names and each insertable value. Measure names are actual names of measures for OLAP, but are numeric type data items for relational.

  Returns:
    an map of String containing the names of the measures mapped to the insertable value

### getLevelNames

    java.lang.String[] getLevelNames(boolean includeHierarchyName)

  Gets the level names. Level names are level names for OLAP, but are character type data items for relational.

  Parameters:
    `includeHierarchyName` - set to true if the hierarchy name for a given level is to be returned (only used if getLevelHasMembers() is true)
  Returns:
    an array of String containing the names of the levels, and optionally, the hierarchy name for each level.
  See Also:
    `getLevelHasMembers()`

### getMeasureNames

    java.lang.String[] getMeasureNames()

  Gets the measure names. Measure names are actual names of measures for OLAP, but are numeric type data items for relational.

  Returns:
    an array of String containing the names of the measures

### getMemberNames

    java.lang.String[] getMemberNames(java.lang.String levelName)

  Get the member names for a given level. This method is only meaningful in the case where the level of data contains members (i.e. if getLevelHasMembers() returns true).

  Parameters:
    `levelName` - the level for which to get the member names
  Returns:
    an array of Strings containing the names of the members for the specified level if the adapter contains OLAP data; returns null otherwise.
  See Also:
    `getLevelHasMembers()`

### getLevelHasMembers

    boolean getLevelHasMembers()

  Determines if the levels of data contained by this adapter have members or not.

  Returns:
    true if this adapter contains data with members; false otherwise.
  See Also:
    `getMemberNames(String)`

### getOperationList

    com.sas.expressions.visuals.OperationListInterface getOperationList()

  Get the Operations List model

  Returns:
    a com.sas.expressions.visuals.OperationListInterface containing the Operations that can be added in the Expression Editor (null allowed if not supported)

### getDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getDataSourceTree()

  Get the Default DataSource tree model for this business model

  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getPhysicalDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getPhysicalDataSourceTree()

  Get the DataSource tree model from the Physical view of the business model

  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getBusinessDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getBusinessDataSourceTree()

  Get the DataSource tree model from the Business (Data Item) view of the business model

  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getPromptDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getPromptDataSourceTree()

  Get the DataSource tree model containing the prompts of the business model

  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getFunctionListTree

    com.sas.expressions.visuals.FunctionTreeInterface getFunctionListTree()

  Get the Category Tree with Function Lists model

  Returns:
    a com.sas.expressions.visuals.FunctionTreeInterface containing the Categories with Functions that can be added in the Expression Editor (null allowed if not supported)

### getMaxOutputObservations

    int getMaxOutputObservations()

  Returns the current maximum number of output observations returned when gathering a list of possible values for a data item or physical item in the data source tree.

  Returns:
    the maximum number of output observations

### setMaxOutputObservations

    void setMaxOutputObservations(int max)

  Sets the current maximum number of output observations to be returned when gathering a list of possible values for a data item or physical item in the data source tree.

  Parameters:
    `max` - the new maximum number of output observations
  See Also:
    `Governing`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.